Settle Prediction
Updates a prediction once the event has concluded and the outcome is known.
Endpoint
Section titled “Endpoint”POST
/prediction/v1/settleRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/prediction/v1/settle \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"user_id": "user-uuid","prediction_id": "pred-uuid","event_outcome": "Team A","event_outcome_choice": "Yes","settlement_time": "2026-04-18T14:00:00Z"}'{"user_id": "user-uuid","prediction_id": "pred-uuid","event_outcome": "Team A","event_outcome_choice": "Yes","settlement_time": "2026-04-18T14:00:00Z"}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" }}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |